Subject: Re: bug#35385: 27.0.50; Make dired-dwim-target aware of other frames

From: Juri Linkov <[email-masked]>
Date: Fri, 15 Nov 2019 01:10:12 +0200

>> Do you think this is good enough?
>
> Looks quite good so far.  An open question is what the behavior of a
> non-nil and not functionp value is.

Maybe it should default to its previous behavior (i.e. the next window
on the selected frame).

> BTW, when configuring `dired-dwim-target' to `dired-dwim-target-next'
> and when the current dired buffer's window is the only dired window in
> the selected frame, then the default target is not the current buffer's
> directory but the directory of some other frame's dired.  I don't like
> that.  I would want that always all dired windows in the current frame
> are considered, including the current one.  I mean, operating on files
> in one dired buffer is a quite common need, so defaulting to a directory
> of some dired buffer in some other frame can be quite confusing.  I'm
> accustomed to the old behavior of course but...it made sense to me.

Maybe the value 't' should use the old behavior.